%define up_name	calendar
%define name	ocaml-%{up_name}
%define version	2.03.1
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Ocaml calendar library
License:	LGPLv2 with linking exception
Group:		Development/Other
URL:		http://calendar.forge.ocamlcore.org/
Source0:	http://forge.ocamlcore.org/frs/download.php/605/%{up_name}-%{version}.tar.gz
BuildRequires:	ocaml
BuildRequires:	ocaml-findlib

%description
The Calendar library is a library providing a set of operations over dates and
times.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q -n %{up_name}-%{version}

%build
%configure2_5x
%make
sed -i -e 's/calendarLib.cmo //g' META
sed -i -e 's/calendarLib.cmx //g' META

%check
make tests

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}%{_libdir}/ocaml
make install OCAMLFIND_DESTDIR="%{buildroot}%{_libdir}/ocaml"

rm -f %{buildroot}%{_libdir}/ocaml/calendar/*.{,cm}o

%files
%defattr(-,root,root)
%doc calendarFAQ-2.6.txt calendar_faq.txt CHANGES COPYING LGPL README TODO
%dir %{_libdir}/ocaml/calendar
%{_libdir}/ocaml/calendar/META
%{_libdir}/ocaml/calendar/*.cma
%{_libdir}/ocaml/calendar/*.cmi
%{_libdir}/ocaml/calendar/*.cmxs

%files devel
%defattr(-,root,root)
%{_libdir}/ocaml/calendar/*.a
%{_libdir}/ocaml/calendar/*.cmxa
%{_libdir}/ocaml/calendar/*.cmx
%{_libdir}/ocaml/calendar/*.mli



%changelog

* Sun Dec 04 2011 malo <malo> 2.03.1-3.mga2
+ Revision: 176189
- spec clean-up
- putting files in the right package (per Ocaml policy)

* Sat Oct 22 2011 malo <malo> 2.03.1-2.mga2
+ Revision: 157425
- rebuild for Ocaml 3.12.1

* Sun Oct 02 2011 shlomif <shlomif> 2.03.1-1.mga2
+ Revision: 150989
- New version - 2.03.1 - thanks to Malo

* Sun Oct 02 2011 fwang <fwang> 2.02-2.mga2
+ Revision: 150879
- rebuild for new ocaml

* Mon Mar 21 2011 saispo <saispo> 2.02-1.mga1
+ Revision: 75213
- imported package ocaml-calendar

